Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021656
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2012-09-14 13:522012-09-26 17:20
ReporterngarciaView Statuspublic 
Assigned Tojecharri 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf95e6cf72b42
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToioritzCia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021656: The reamortization of an asset cannot be calculated

DescriptionThe reamortization of an asset cannot be calculated
Steps To ReproduceAs a group admin role:
   Go to the Asset Group window and create a new record
   Go to the Asset window and create a new record
      Choose the group created before as an Asset Category
      Select the Depreciate checkbox
      Choose Time in the Calculate Type dropdown list
      Choose Montlhy in the Amortize dropdown list
      Insert 36 as Usable Life
      Select the 17 of January of the actual year for both the Purchase Date and Depreciation Start Date
      Insert 1037.28 as the Asset Value
      Click the Create Amortization button
   Delete all the lines except the first 6 ones (order the lines by the Line No.)
   Change the Usable Life to 48
   Click the Recalculate Amortization button
   Notice that the following error raises:
An amortization plan cannot be created for so low amount and / or so big amount of time
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00208283.0MP14 closedioritzCia The amortization of an asset cannot be recalculated in some cases 

-  Notes
(0052223)
hgbot (developer)
2012-09-19 13:06

Repository: erp/devel/pi
Changeset: f95e6cf72b4265791270a084ded8f084f11e0eae
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Wed Sep 19 13:02:06 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f95e6cf72b4265791270a084ded8f084f11e0eae [^]

Fixes issue 21656: The reamortization of an asset cannot be calculated

---
M src-db/database/model/functions/A_ASSET_POST.xml
---
(0052241)
hgbot (developer)
2012-09-19 17:39

Repository: erp/devel/pi
Changeset: 7d048ad0b76fc70ea9eed928b4e0b5d4113e7b1d
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Wed Sep 19 17:38:29 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7d048ad0b76fc70ea9eed928b4e0b5d4113e7b1d [^]

issue 21656: The reamortization of an asset cannot be calculated

---
M src-db/database/model/functions/A_ASSET_POST.xml
---
(0052354)
ioritzCia (developer)
2012-09-24 17:27

Testing Plan:

Follow the steps to reproduce of issue 20828.
It is not needed to process the amortization line you are not going to remove.
Try it with Yearly amortization type too, as the error was happening here to.
Try it with start dates in the middle of the month and with the first day of the month, as it behaves differently.
(0052355)
ioritzCia (developer)
2012-09-24 17:28

Verified
(0052785)
hudsonbot (developer)
2012-09-26 17:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b780e90c6452 [^]

Maturity status: Test
(0052789)
hudsonbot (developer)
2012-09-26 17:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b780e90c6452 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-09-14 13:52 ngarcia New Issue
2012-09-14 13:52 ngarcia Assigned To => dmiguelez
2012-09-14 13:52 ngarcia Modules => Core
2012-09-14 13:53 ngarcia Issue Monitored: networkb
2012-09-14 13:53 ngarcia Relationship added related to 0020828
2012-09-14 14:57 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2012-09-18 13:02 jecharri Assigned To jonalegriaesarte => jecharri
2012-09-19 13:06 hgbot Checkin
2012-09-19 13:06 hgbot Note Added: 0052223
2012-09-19 13:06 hgbot Status new => resolved
2012-09-19 13:06 hgbot Resolution open => fixed
2012-09-19 13:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f95e6cf72b4265791270a084ded8f084f11e0eae [^]
2012-09-19 17:39 hgbot Checkin
2012-09-19 17:39 hgbot Note Added: 0052241
2012-09-24 17:27 ioritzCia Note Added: 0052354
2012-09-24 17:28 ioritzCia Closed by => ioritzCia
2012-09-24 17:28 ioritzCia Note Added: 0052355
2012-09-24 17:28 ioritzCia Status resolved => closed
2012-09-26 17:19 hudsonbot Checkin
2012-09-26 17:19 hudsonbot Note Added: 0052785
2012-09-26 17:20 hudsonbot Checkin
2012-09-26 17:20 hudsonbot Note Added: 0052789


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker